          &dhemail;

&dhfirstname; &dhsurname;
2001
&dhusername;
&dhdate;
&dhucpackage;

&dhsection;

# &dhpackage;

generates localisation files from templates

          &dhpackage;
          --keep-existing

## DESCRIPTION

This manual page documents briefly the `&dhpackage;` command.

By default, the locale package which provides the base support for localisation of libc-based programs does not contain usable localisation files for every supported language. This limitation has became necessary because of the substantial size of such files and the large number of languages supported by libc. As a result, Debian uses a special mechanism where we prepare the actual localisation files on the target host and distribute only the templates for them.

`&dhpackage;` is a program that reads the file `/etc/locale.gen` and invokes `localedef` for the chosen localisation profiles. Run `&dhpackage;` after you have modified the `/etc/locale.gen` file.

## OPTIONS

`--keep-existing`

  By default, `&dhpackage;` removes all existing locales and generates new ones afresh. The `--keep-existing` option prevents this, so that only locales which do not already exist are generated. This is useful if calling locale-gen a number of times in succession.

## FILES

`/etc/locale.gen`

The main configuration file, which has a simple format: every line that is not empty and does not begin with a # is treated as a locale definition that is to be built.

## SEE ALSO

localedef(1), locale(1), locale.alias(5), locale.gen(5).

## AUTHOR

This manual page was written by &dhusername; <&dhemail;> for the &debian; system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.1 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts and no Back-Cover Texts.